Name:           libSM
Version:        1.2.4
Release:        1
Summary:        Runtime library for X11 SM
License:        MIT
URL:            http://www.x.org
Source0:        https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.gz
BuildRequires:  xorg-x11-util-macros autoconf automake libtool xorg-x11-proto-devel
BuildRequires:  xorg-x11-xtrans-devel libICE-devel libuuid-devel xmlto pkgconfig

%description
The %{name} package contains runtime libraries for the X.Org X11 SM.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains development files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -ivf

%configure --with-libuuid
%make_build

%check
make check

%install
%make_install
%delete_la

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS 
%license COPYING
%{_libdir}/*.so.*

%files          devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/X11/SM/SM*.h
%{_libdir}/*.a
%{_libdir}/pkgconfig/sm.pc

%files          help
%defattr(-,root,root)
%doc ChangeLog


%exclude %{_docdir}

%changelog
* Wed Feb 08 2023 zhouwenpei <zhouwenpei1@h-partners.com> - 1.2.4-1
- update to 1.2.4

* Wed Oct 26 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 1.2.3-5
- Rebuild for next release

* Tue Feb 9 2021 jinzhimin <jinzhimin2@huawei.com> - 1.2.3-4
- rebuild libSM

* Tue Feb 9 2021 jinzhimin <jinzhimin2@huawei.com> - 1.2.3-3
- add check in spec

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.2.3-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Tue Aug 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.2.3-1
- Package init
